pngcrush (1.8.13-0.1+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- DilOS Team <dilos@dilos.org>  Wed, 22 Jul 2020 17:13:33 +0300

pngcrush (1.8.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version
  * Decide for latest upstream but found in upstream changelog:
      Version 1.7.87 (built with libpng-1.6.18 and zlib-1.2.8)
        Fixed a double-free bug (CVE-2015-7700). There was a "free" of the
        sPLT chunk structure in pngcrush and then again in png.c (Bug report
        by Brian Carpenter).
    Closes: #874109
  * Standards-Version: 4.3.0
  * Remove custom compression settings in debian/source/options
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Fri, 22 Feb 2019 09:07:23 +0100

pngcrush (1.7.85-2) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:46:28 +0200

pngcrush (1.7.85-1) unstable; urgency=medium

  * New upstream release.
    - Reworded confusing output words (Closes: #411032)
    - Removed --bit_depth options (Closes: #546267)
    - Fixes color changing bug with small palletes (Closes: #787744)
    - Fixes crash related to argv checks (Closes: #716149)
  * New maintainer.
    - Remove kapil@ from Uploaders (Closes: #738478).
  * Updated packaging location to git instead of svn.
  * Fixed watch file.
  * Updated standards version.

 -- Margarita Manterola <marga@debian.org>  Thu, 04 Jun 2015 22:21:43 +0200

pngcrush (1.7.65-0.1) unstable; urgency=low

  * NMU to fix the more serious problems with this dormant package.
  * New upstream release (Closes: #657855, #612934).
    - Should now build with libpng 1.5 (Closes: #648128).
    - No longer crashes when adding more than two text chunks (Closes: #678436).
    - Upstream has switched to .xz tarballs, follow suit.
    - patches/*: Normalize file names.
    - patches/local_Makefile_adjustments.diff: Refresh.
      Use -Wl,--as-needed to pull in -lm only if actually required.
      Do not attempt to override configuration macros defined by the
      system pngconf.h.
    - patches/local_version_skew_warning_only_if_verbose.diff: Refresh.
  * Build-depend on libpng-dev (Closes: #662471).
  * Bump to debhelper compatibility level 9 and dh-ify.
  * Install upstream changelog.
  * Standards-Version: 3.9.4 (no further changes required).

 -- Zack Weinberg <zackw@panix.com>  Mon, 01 Jul 2013 10:17:54 -0400

pngcrush (1.7.9-1) unstable; urgency=low

  * New upstream release (1.7.9-nolib);
    - Fix crash if argument of -m is out of range (Closes: #561492).
  * Updated Standards-Version to 3.8.4 (no changes needed);
  * Convert package to the new format 3.0 (quilt);
    - Remove now unneeded debian/README.source.
  * Updated patches to conform to DEP-3.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 12 Mar 2010 17:40:13 -0300

pngcrush (1.7.0-1) unstable; urgency=low

  * New upstream release (1.7.0-nolib);
  * Add README.source;
  * Updated Standards-Version to 3.8.3 (no changes needed);
  * Refreshed debian/patches/pngcrush_relocate_warning;

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 18 Aug 2009 17:59:48 -0300

pngcrush (1.6.19-1) unstable; urgency=low

  * New upstream release (1.6.19-nolib)
    - Fix erroneous png_error message about "original PNG could not be
      recovered" (Closes: #532281)
  * Upstream changelog is now distributed as an HTML file:
    - Updated debian/rules to install ChangeLog.html
  * Refreshed debian/patches/pngcrush_relocate_warning.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 09 Jun 2009 01:23:58 -0300

pngcrush (1.6.17-1) unstable; urgency=low

  * New upstream release (1.6.17-nolib).
    - debian/patches/add_Makefile: renamed to patch_Makefile
      since upstream now provides a makefile. Patch refreshed
      and comments added.
    - debian/patches/pngcrush_relocate_warning: patch refreshed and
      comments added.
    - create output with new timestamp by default instead of copying
      the input file timestamp; (viz. #510491).
    - see upstream Changelog for more details.
  * debian/copyright: Updated to reflect new dates for new sources.
  * debian/control: Standards Version bumped to 3.8.1. No other
    changes required.
  * debian/pngcrush.sgml: document the new options "-newtimestamp"
    and "-oldtimestamp" which supersede the old option "-time_stamp".
  * Remove misleading reference to CVE-2009-0040 in previous changelog
    entry.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 03 Jun 2009 07:03:51 +0530

pngcrush (1.6.15-1) unstable; urgency=low

  * New upstream release (1.6.15-nolib).
  * Fix previous changelog entry to note change
    to debian/pngcrush.sgml
  * debian/patches/pngcrush_relocate_warning: refreshed.

 -- Kapil Hari Paranjape <kapil@debian.org>  Tue, 03 Mar 2009 10:26:04 +0530

pngcrush (1.6.13-1) unstable; urgency=low

  * New upstream release (1.6.13-nolib).
    - debian/patches/fix_itxt_param_handling: patch
      incorporated upstream so removed.
    - incorporates newer libpng features.
    - added "-time_stamp" command line directive to ensure
      that output file has new timestamp. (Closes: #510491)
    - see upstream changelog for further details.
  * debian/patches/pngcrush_relocate_warning: refreshed.
  * debian/pngcrush.sgml: add entry for "-time_stamp" command
    line directive.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu, 26 Feb 2009 14:29:29 +0530

pngcrush (1.6.7-1) unstable; urgency=low

  * New upstream release (1.6.7-nolib).
    - Moved PNG_UINT_CHNK and some other defines from pngcrush.h to pngcrush.c
    - Reject invalid color_type or bit_depth. (Closes: #453721)
  * debian/patches/add_PNG_UINT_defs: patch removed as it is incorporated
    upstream.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 02 Jul 2008 12:25:49 +0530

pngcrush (1.6.6-1) unstable; urgency=low

  * New upstream release (1.6.6-nolib).
    - added dSIG support
    - non new gAMA chunk when writing sRGB chunk
  * Add Makefile since upstream has dropped it.
    - debian/patches/add_Makefile: patch adding the Makefile.
    - debian/rules: add new rule "clean-source" to clean-up using
      the Makefile. Make "clean" rule depend on this rule.
  * debian/patches:
    - fix_itxt_param_handling, pngcrush_relocate_warning:
      patches refreshed
    - png_export_pngcrush.diff, fix_Makefile: patches disabled
    - add_PNG_UINT_defs: patch to add some definitions required
      in pngcrush.c
  * debian/pngcrush.sgml:
    - commented out the "-cc"  and "-no_cc" options which are
      currently disabled upstream. Closes: #485497, #471162
    - expanded description of "Color Types" to indicate that some
      conversions may not work as expected. Closes: #485501.
    - documented "-keep" "-loco" and "-mng" options. Closes: #471159.
    - fixed absence of caret (^) on man page.
  * debian/control:
    - Standards Version: 3.8.0. No other changes required.
    - renamed XS-Vcs-Svn field to Vcs-Svn.
    - moved Homepage from description to its own field.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 11 Jun 2008 21:56:58 +0530

pngcrush (1.6.4-5) unstable; urgency=low

  * debian/control: Added XS-Vcs-Svn tag.
  * debian/patches:
    - fix_itxt_param_handling: pngcrush.c: itxt chunk may gobble 2 command line
      parameters. Closes: #442631.
    - replaced all Makefile patches with single patch fix_Makefile.
    - fix_makefile: defined a new variable "DEFINES" to ease
      compilation with Debian CFLAGS.
    - series: re-ordered patches to make Debian specific patches lower.
    - Refreshed all patches.
  * debian/pngcrush.sgml: modify to note that -itxt command needs
    "a" or "b" to be specified.
  * debian/rules:
    - run make during "build" with Debian CFLAGS. Closes: #443644.
    - fix "clean" rule to catch errors from "make clean".

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 24 Sep 2007 16:19:55 +0530

pngcrush (1.6.4-4) unstable; urgency=low

  * debian/watch: fixed sourceforge url.
  * debian/pngcrush.sgml: first line of synopsis now uses "infile
    outfile" instead of list of files. Closes: #411028.
  * debian/patches/pngcrush_relocate_warning: relocated warning about
    different versions to verbose header. Closes: #203020.
  * debian/control: changed all maintainer's email addresses.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sat,  4 Aug 2007 06:37:51 +0530

pngcrush (1.6.4-3) unstable; urgency=medium

  * debian/patches:
    - add_png_itxt_support_to_Makefile.diff: substituted with
      next patch
    - add_defines_to_Makefile.diff: define PNG_iTXT_SUPPORTED
      PNG_iCCP_SUPPORTED and PNGCRUSH_USE_LOCAL_ARRAYS during
      compilation in Makefile.
    - png_export_pngcrush.diff: use PNGCRUSH_USE_LOCAL_ARRAYS in
      place of PNG_USE_LOCAL_ARRAYS to ensure the png_* arrays are
      initialised during png_measure_idat() in pngcrush.c.
      Closes: #401226, #401248.
    - remove_libm_Makefile.diff: removed dependency on "libm".
      Not NEEDED as pointed out by Christian Aichinger's scripts.
    - add_png_read_data.diff: empty patch removed.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Fri,  1 Dec 2006 07:11:18 +0530

pngcrush (1.6.4-2) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Really fix #328402 (missing -itxt option) by defining PNG_iTXt_SUPPORTED:
    - added debian/patches/add_png_itxt_support_to_Makefile.diff
  * Added watch file.

  [ Kapil Hari Paranjape ]
  * Add reminder that above patch is not required after libpng 1.2.11.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Thu, 20 Jul 2006 08:58:41 +0530

pngcrush (1.6.4-1) unstable; urgency=low

  * New upstream release (Closes: #374080);
  * Removed debian/patches/trns_array.diff (applied upstream);
  * New patch debian/patches/png_export_pngcrush.diff.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Sat, 17 Jun 2006 17:12:04 -0300

pngcrush (1.6.3-1) unstable; urgency=low

  * New upstream release.
  * Use quilt to manage the patches.
  * Really fix typos in debian/pngcrush.sgml. Thanks to A. Costa.
    Closes: #337186.
  * Fix reading in and use of 'trns_array' values as
    suggested by Michał Politowski. Closes: #201195.
  * Bumped Standards-Version to 3.7.2 (no changes needed).
  * Added Nelson A. de Oliveira to Uploaders.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Fri, 12 May 2006 15:58:07 +0530

pngcrush (1.6.2-1) unstable; urgency=low

  * New Maintainer Closes: #353392
  * New upstream release.
    - The options -itxt and -ztxt are supported.
      Closes: #328402.
    - Versions of png.c and png.h match. Closes: #203020, #289061.
  * Builds against current version of libpng12-dev.
    Closes: #331068, #338659, #355693, #352177, #330026, #223429.
  * Build uses some internal replacements for "PRIVATE"
    routines from "libpng" as provided by upstream author.
  * Fixed typos in debian/pngcrush.sgml.
    Closes: #337186.
  * Fixed order in SYNOPSIS section of man page.
    Closes: #275742.
  * Added note to man page that "-cc" option is currently
    disabled. Closes: #158932, #275744.
  * Corrected description of "text chunks" in man
    page. Closes: #328401.
  * Updated Standards Version to 3.6.2
  * Using debhelper compatibility version 5.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Wed, 22 Mar 2006 20:20:46 +0530

pngcrush (1.5.10-2) unstable; urgency=low

  * Fix FTBFS due to definition name change.
    pngcrush.c : rename HANDLE_CHUNK_ALWAYS, HANDLE_CHUNK_IF_SAFE and
    HANDLE_CHUNK_NEVER to PNG_HANDLE_CHUNK_ALWAYS, PNG_HANDLE_CHUNK_IF_SAFE
    and PNG_HANDLE_CHUNK_NEVER respectively. Fix by
    David Kimdon <dwhedon@debian.org>. (closes: #280245)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 13 Nov 2004 22:43:49 -0800

pngcrush (1.5.10-1) unstable; urgency=low

  * New upstream release.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 21 Jul 2002 03:22:19 -0700

pngcrush (1.5.9-0.1) unstable; urgency=low

  * NMU.
  * New upstream release.  (Closes: #140226)
    + Update control file to fix spelling error.  (Closes: #125256)
    + Update URL of PNG documentation.  (Closes: #121753)
  * Enabled -cc option.  (Closes: #114394)
  * Updated build dependency to build against latest libpng-dev.
  * This should close all outstanding bugs in pngcrush.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 12 Jul 2002 01:10:36 -0500

pngcrush (1.5.5-3) unstable; urgency=low

  * Rebuild against new png library to remove runtime warning. (Closes: #106907)

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu,  2 Aug 2001 18:12:09 -0700

pngcrush (1.5.5-2) unstable; urgency=low

  * Do not install INSTALL.txt (Closes: #101360)
  * Use $(CURDIR) instead of `pwd` in Makefiles (Closes: #101359)
  * Bump Standards-Version (Closes: #101358)
  * In accordance with policy, handle DEB_BUILD_OPTIONS. Only debug has
    to be handled, as nostrip is taken care of by dh_strip automatically.

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 20 Jun 2001 02:25:17 -0700

pngcrush (1.5.5-1) unstable; urgency=low

  * New upstream version

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 10 Jun 2001 11:48:32 -0700

pngcrush (1.5.4-1) unstable; urgency=low

  * New upstream version
  * Fix minor syntax errors in SGML documentation

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 30 Apr 2001 16:55:54 -0700

pngcrush (1.5.3-1) unstable; urgency=low

  * New upstream release

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 16 Dec 2000 02:03:57 -0800

pngcrush (1.5.1-6) unstable; urgency=low

  * Fix typo in startup message (closes: #77924)

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 27 Nov 2000 08:52:46 -0800

pngcrush (1.5.1-5) unstable; urgency=low

  * Update manual page

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 18 Nov 2000 19:10:17 -0800

pngcrush (1.5.1-4) unstable; urgency=low
  * Add Build-Depends (closes: #77178)

 -- Aaron Lehmann <aaronl@vitelus.com>  Thu, 16 Nov 2000 08:15:41 -0800

pngcrush (1.5.1-3) unstable; urgency=high
  * Redo the packaging AGAIN. There was some unfortunate duplication of effort which caused this to be packaged twice. Anyway, David Whedon <dwhedon@gordian.com>'s packaging was superior, so I'm going with that.
  * Fix license confusion

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 13 Nov 2000 11:17:48 -0700

pngcrush (1.5.1-2) unstable; urgency=low

  * Manpage courtesy of Roland Rosenfeld <roland@debian.org> (closes: #76778)
  * Use debhelper

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 11 Nov 2000 16:55:33 -0700

pngcrush (1.5.1-1) unstable; urgency=low

  * Initial release.

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 18:23:37 -0700

Local variables:
mode: debian-changelog
End:
